//
//  DataProvider.m
//  MyFirstApp
//
//  Created by Felix Rohrer on 22.02.13.
//  Copyright (c) 2013 Felix Rohrer. All rights reserved.
//

#import "DataProvider.h"
#import "PersonData.h"

@implementation DataProvider

// @synthesize memberNames;



+(DataProvider*) sharedDataProvider {
    static DataProvider *sharedSingleton;
    
    @synchronized(self) {
        if (sharedSingleton == nil)
            sharedSingleton = [[self alloc] init];
    }
    
    return sharedSingleton;
}


- (id) init {
    self = [super init];
    if (self) {
        self.memberNames = [NSArray arrayWithObjects:@"Felix", @"Michael", @"Peter", @"Martin", nil];
        
        PersonData *myPerson1 = [[PersonData alloc] initWithFirstName:@"Felix" lastName:@"Rohrer" andPLZ:6010];
        PersonData *myPerson2 = [[PersonData alloc] initWithFirstName:@"Martin" lastName:@"Walser" andPLZ:6000];
        PersonData *myPerson3 = [[PersonData alloc] initWithFirstName:@"Gabriela" lastName:@"Test" andPLZ:1234];
        PersonData *myPerson4 = [[PersonData alloc] initWithFirstName:@"Hans" lastName:@"Muster" andPLZ:3456];
        
        self.memberPersons = [NSArray arrayWithObjects:myPerson1, myPerson2, myPerson3, myPerson4, nil];
        
    }
    return self;
}

@end
